package com.iamberry.wechat.service;

import java.io.InputStream;
import java.util.Properties;

public class ImberryConfig {

//	public static String SMS_USERNAME = "";
//	public static String SMS_PASSWORD = "";
//	public static String SMS_TEXT = "";
//	public static String SMS_URL = "";
	public static String SINA_IP_URL = "";
	public static String MASTERSECRET="";
	public static String APPKEY="";
	public static String CDN_URL="";
	public static String BASE_URL=""; //头像前缀
	/**		云片请求地址	*/
	public static String INTER_SMS_URL=""; 
	/**		短信验证码模板		*/	
	public static String INTER_SMS_TEXT=""; 
	/**   租赁类型1短信模板      */
	public static String INTER_SMS_RENT_TYPE1_TEXT="";
	/**   租赁类型1短信模板      */
	public static String INTER_SMS_RENT_TYPE2_TEXT="";
	/**   租赁类型1短信模板      */
	public static String INTER_SMS_RENT_TYPE3_TEXT="";
	/**		云片key	*/
	public static String INTER_SMS_KEY=""; 
	/**		发送给收货人的试用进度提醒	7天		*/
	public static String PROBATION_SUCCESS_FIRST_TEXT = "";
	/**		发送给收货人的试用进度提醒	14天		*/
	public static String PROBATION_SUCCESS_SECOND_TEXT = "";
	/**		发送给收货人的试用进度提醒	21天		*/
	public static String PROBATION_SUCCESS_THIRD_TEXT = "";
	/**       租赁支付成功后发送给收货人租赁信息      */
	public static String LEASE_ORDER_SUCCESS_TEXT = "";

	/**手动推送发货信息**/
	public static String INFORM_SHIPPING = "";

	public static String ORDER_UPDATE_STATUS_TEXT = "";
	
	static {
		Properties pro = new Properties();
		InputStream in = ImberryConfig.class.getClassLoader().getResourceAsStream("iamberry-app-service-config.properties");
		try {
			pro.load(in);
//			SMS_USERNAME = pro.getProperty("SMS_USERNAME");
//			SMS_PASSWORD = pro.getProperty("SMS_PASSWORD");
//			SMS_TEXT = pro.getProperty("SMS_TEXT");
//			SMS_URL = pro.getProperty("SMS_URL");
			SINA_IP_URL = pro.getProperty("SINA_IP_URL");
			MASTERSECRET=pro.getProperty("master_secret");
			APPKEY=pro.getProperty("appkey");
			CDN_URL=pro.getProperty("cdnUrl");
			BASE_URL=pro.getProperty("base_url");
			INTER_SMS_URL=pro.getProperty("INTER_SMS_URL");
			INTER_SMS_TEXT=pro.getProperty("INTER_SMS_TEXT");
			INTER_SMS_RENT_TYPE1_TEXT=pro.getProperty("INTER_SMS_RENT_TYPE1_TEXT");
			INTER_SMS_RENT_TYPE2_TEXT=pro.getProperty("INTER_SMS_RENT_TYPE2_TEXT");
			INTER_SMS_RENT_TYPE3_TEXT=pro.getProperty("INTER_SMS_RENT_TYPE3_TEXT");
			INTER_SMS_KEY=pro.getProperty("INTER_SMS_KEY");
			PROBATION_SUCCESS_FIRST_TEXT = pro.getProperty("PROBATION_SUCCESS_FIRST_TEXT");
			PROBATION_SUCCESS_SECOND_TEXT = pro.getProperty("PROBATION_SUCCESS_SECOND_TEXT");
			PROBATION_SUCCESS_THIRD_TEXT = pro.getProperty("PROBATION_SUCCESS_THIRD_TEXT");
			LEASE_ORDER_SUCCESS_TEXT = pro.getProperty("LEASE_ORDER_SUCCESS_TEXT");
			INFORM_SHIPPING = pro.getProperty("INFORM_SHIPPING");
			ORDER_UPDATE_STATUS_TEXT = pro.getProperty("ORDER_UPDATE_STATUS_TEXT");
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
